Description

Associated revisions

Revision ffeb6f46 - 09/09/2021 08:42 PM - Eric Helms

Fixes #33431: Use Ruby OpenSSL to ensure PKCS1 format

On FIPS enabled machines, private keys generated are not in PKCS #1

format which is required by Apache for bundled SSL proxy machine

certiicates. This switches to using Ruby's OpenSSL library to generate

the proper format when needing to force PKCS #1 format rather than

string manipulation.

History

#1 - 09/08/2021 12:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-certs/pull/380 added

#2 - 09/09/2021 08:42 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#3 - 09/09/2021 09:08 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-certs|ffeb6f467860b9a86d9208f1bf1a310f2ad1d93b.

#4 - 09/16/2021 10:43 AM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/puppet-certs/pull/380)

- Fixed in Releases 3.1.0 added

- Fixed in Releases deleted (3.2.0)

#5 - 09/16/2021 11:07 AM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Target version set to 3.1.0

- Triaged changed from No to Yes

- Pull request https://github.com/theforeman/puppet-certs/pull/380 added
